Package org.eclipse.emf.cdo.common.commit

## Interface CDOCommitData

- All Superinterfaces:
    `CDOChangeKindProvider`, `CDOChangeSetData`
  All Known Subinterfaces:
    `CDOCommitHistory.TriggerLoadElement`, `CDOCommitInfo`, `CDOSessionInvalidationEvent`, `InternalCDOSessionInvalidationEvent`

      public interface CDOCommitData
      extends CDOChangeSetData

  `Change set data` with detailed information about new `package units`.
  Since:
    3.0
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.List<CDOPackageUnit>` | `getNewPackageUnits()` |

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.commit.CDOChangeKindProvider

      `getChangeKind`

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.commit.CDOChangeSetData

      `copy, forEachRevision, forEachRevisionDelta, getAffectedIDs, getChangedObjects, getChangeKinds, getDetachedObjects, getNewObjects, isEmpty, merge`

- - ### Method Detail

    - #### getNewPackageUnits

          java.util.List<CDOPackageUnit> getNewPackageUnits()